#include <stdio.h>
#include "comchk.h"

int main()
{
	int n;
	int pt;
	
	port_device_scan();
	
	port_device_pickup_by_type(2); // FTDI
	//port_device_pickup_by_type(3); // SiLabs CP210x,etc
	//port_device_pickup_by_type(4); // Prolific PL230x,etc
	//port_device_pickup_by_type(5); // Cyress EZ-USB HID-COM
	//port_device_pickup_by_type(6); // ArkMicro
	//port_device_pickup("Vid_0461&Pid_0033"); // search by keyword
	
	n = get_how_many_port_devices();
	if (n==0) {
		printf("FTDI device not found.\n");
	} else {
		pt = get_port_number(0); // port# of 1st device
		printf("COM %d:", pt );
		printf("\n");
	}
	
	getchar();
	return 0;
}


